diff igblast/igblast.sh @ 12:010402c959aa draft

Uploaded
author davidvanzessen
date Tue, 04 Aug 2015 10:00:20 -0400
parents
children dca3273a7291
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/igblast/igblast.sh	Tue Aug 04 10:00:20 2015 -0400
@@ -0,0 +1,15 @@
+set -e
+
+dir="$(cd "$(dirname "$0")" && pwd)"
+
+input=$1
+species=$2
+locus=$3
+output=$4
+
+
+echo "$input $species $locus $output"
+
+java -Xmx64G -jar $IGBLASTWRP/igblastwrp.jar -cf -S $species -R $locus ${input} $PWD/blasted_output 2>&1
+
+Rscript --verbose $dir/igblast.r "$PWD/blasted_output.L2.txt" "$output" 2>&1